clear;
f=10000000;

lambda=300000000/f;

H=lambda*.5;

beta=(2*pi)/lambda;

R=radiationres(beta,lambda,H);

theta=0:0.1:2*pi;
phi=0:0.1:2*pi;

G=Gdmax(R,beta,H);

[E1,thet]=campo2(R,beta,H);
length(thet)
length(phi)
polar(thet,E1)
pause
E=abs(E1);

%Edb=10*log10(E);
%min1=min(E);
%U=Edb-min1;
% expanding theta to span entire space
E(1,1)=0;
for n=1:length(thet)
    thet(n,:)=thet(1,:);
end

% expanding phi to span entire space
phi=phi';
for m=1:length(phi)
    phi(:,m)=phi(:,1);
end


% expanding U to span entire space
for k=1:length(E)
    E(k,:)=E(1,:);
end

[x,y,z]=sph2cart(phi,thet,E);
%plotting routine
surf(x,y,z)
colormap(winter)





%polar(thet,E)

pause

H2=lambda*1;

R2=radiationres(H2,f);

G2=Gdmax(R2,beta,H2);

[E2,thet2]=campo2(R2,beta,H2);

polar(abs(thet2),E2)

pause

H3=lambda*1.25;

R3=radiationres(H3,f);

G3=Gdmax(R3,beta,H3);

[E3,thet3]=campo2(R3,beta,H3);

polar(thet3,E3)

pause



H4=lambda*2;

R4=radiationres(H4,f);

G4=Gdmax(R4,beta,H4);

[E4,thet4]=campo2(R4,beta,H4);

polar(thet4,E4)

pause

H5=lambda*4;

R5=radiationres(H5,f);

G5=Gdmax(R5,beta,H5);

[E5,thet5]=campo2(R5,beta,H5);

polar(thet5,E5)

pause